PETSc version 3.15.5
Fix/Edit manual page

# PetscSectionGetStorageSize

Return the size of an array or local Vec capable of holding all the degrees of freedom.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetStorageSize(PetscSection s, PetscInt *size)

Not collective

### Input Parameter

| s | - the PetscSection

### Output Parameter

| size | - the size of an array which can hold all the dofs

### See Also

PetscSectionGetOffset(), PetscSectionGetConstrainedStorageSize(), PetscSectionCreate()

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages